/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */
@font-face {
   font-family: "GoogSansFlex";
   src: url("/fonts/GoogleSansFlex.ttf") format("truetype");
}
@font-face {
   font-family: "nerdfont";
   src: url("/fonts/symbols.ttf") format("truetype");
}
  body {
  background-color: #DBF0FF;
  color: #000;
  font-family: GoogSansFlex, nerdfont;
  text-align: center;
  padding-top: 90px;
}

  body.home {
  background-color: #110d1f;
  color: #d8cfff;
  font-family: GoogSansFlex, nerdfont;
  text-align: center;
  padding-top: 300px;
}
  section.pa26 {
  background-color: #000;
  color: #fff;
  font-family: GoogSansFlex, nerdfont;
  text-align: center;
  padding-bottom: 30px;
  padding-top: 30px
}
  section.mf {
  background-color: #DBF0FF;
  color: #000;
  font-family: GoogSansFlex, nerdfont;
  text-align: center;
  padding-bottom: 30px;
  padding-top: 30px
}
.icon {
  font-family: nerdfont
}
.ibutton {
    display: inline-block;
  background-color: #0096FF;
  color: white;
  font-family: nerdfont;
  padding: 15px 15px;
  border-radius: 100px;
  text-decoration: none;
  margin: 10px;
  width: 25px;
  text-align: center;
  transition: 0.2s
}
.ibutton:hover {
  background-color: #0096FF;
   box-shadow:
    0 2px 20px #0096FFBF;
  transform: scale(1.05)
}
.navbar {
    position: fixed;
    top: 20px;
    left: 50vw;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;

    padding: 10px;
    background-color: #ffffff40;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border-radius: 100px;

    z-index: 1000;
}
.navbutton {
  display: inline-block;
  background-color: #0096FFBF;
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  color: white;
  font-family: nerdfont;
  padding: 10px 10px;
  border-radius: 100px;
  text-decoration: none;
  margin: 5px;
  width: 20px;
  text-align: center;
  transition: 0.2s
}

.navbutton:hover {
  background-color: #0096FF;
   box-shadow:
    0 2px 20px #0096FFBF;
  transform: scale(1.05)
}
.button {
  display: inline-block;
  background-color: #2a1b69;
  color: white;
  padding: 15px 15px;
  border-radius: 100px;
  text-decoration: none;
  margin: 10px;
  width: 200px;
  text-align: center;
  transition: 0.2s
}

.button:hover {
  background-color: #3300ff;
   box-shadow:
    0 2px 20px #3300ffBF;
  transform: scale(1.05)
}
.cards {
    display: flex;
    justify-content: center;
    gap: 20px;
}

.card {
    width: 250px;
    padding: 20px;
    background-color: #29214a;
    border-radius: 26px;
    transition: 0.2s;
    text-align: left;
    text-decoration: none;
    color: #fff
}
.card:hover {
  background-color: #3300ff;
    box-shadow:
    0 2px 20px #3300ffBF;
    transform: scale(1.05)
}
.boxrimage {
  width: 300px;
  border-radius: 26px;
  transition: 0.2s;
     box-shadow:
    0 2px 20px #080029AB,
    inset 0 -1px 15px #00000080,
    inset 0 0 20px #FFFFFF80,
    inset 0 1px 15px #FFFFFF80;
}
.rimage {
  width: 300px;
  border-radius: 26px;
  transition: 0.2s;
}
.hello {
  width: 600px;
  border-radius: 26px;
  transition: 0.2s;
}
.rimage:hover {
  transform: scale(1.05)
}
.boxrimage:hover {
  transform: scale(1.05)
}
/* rm if fail */
.navbutton::after {
    content: attr(data-tooltip);

    position: absolute;
    top: calc(100% + 10px);
    left: 50%;
    transform: translateX(-50%);

    padding: 6px 10px;
    border-radius: 100px;

    background: #0096FFBF;
    color: white;
    box-shadow: 0 4px 20px #0096FFAB;
  
    font-size: 14px;
    white-space: nowrap;
  font-family: GoogSansFlex;

    opacity: 0;
    visibility: hidden;
    pointer-events: none;
   backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    transition: opacity 0.2s ease;
}

.navbutton:hover::after {
    opacity: 1;
    visibility: visible;
}
.ibutton::after {
    content: attr(data-tooltip);

    position: absolute;
    top: calc(100% + 10px);
    left: 50%;
    transform: translateX(-50%);

    padding: 6px 10px;
    border-radius: 100px;

    background: #0096FFBF;
    color: white;
    box-shadow: 0 4px 20px #0096FFAB;
  
    font-size: 14px;
    white-space: nowrap;
  font-family: GoogSansFlex;

    opacity: 0;
    visibility: hidden;
    pointer-events: none;
   backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    transition: opacity 0.2s ease;
}

.ibutton:hover::after {
    opacity: 1;
    visibility: visible;
}
.scroll-content {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.5s ease, transform 0.5s ease;
}

.scroll-content.visible {
    opacity: 1;
    transform: translateY(0);
}
.pa26button {
  display: inline-block;
  background-color: #fff;
  color: black;
  padding: 15px 15px;
  border-radius: 100px;
  text-decoration: none;
  margin: 10px;
  width: 200px;
  text-align: center;
  transition: 0.2s
}

.pa26button:hover {
  background-color: #fff;
   box-shadow:
    0 2px 20px #ffffffBF;
  transform: scale(1.05)
}
.mfbutton {
  display: inline-block;
  background-color: #0096FF;
  color: white;
  padding: 15px 15px;
  border-radius: 100px;
  text-decoration: none;
  margin: 10px;
  width: 200px;
  text-align: center;
  transition: 0.2s
}
.mfbutton:hover {
   box-shadow:
    0 2px 20px #0096FFBF;
  transform: scale(1.05)
}